<center><a href="ex17f.F">Actual source code: ex17f.F</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:19:53+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a>!
<a name="line2">  2: </a>!
<a name="line3">  3: </a>!     Test <font color="#4169E1">for</font> <A href="../../../../docs/manualpages/Sys/PetscFOpen.html#PetscFOpen">PetscFOpen</A>() from Fortran
<a name="line4">  4: </a>!
<a name="line5">  5: </a>       program main
<a name="line6"> 6: </a> #include <A href="../../../../include/finclude/petsc.h.html">finclude/petsc.h</A>

<a name="line8">  8: </a>      <A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> ierr
<a name="line9">  9: </a>      <A href="../../../../docs/manualpages/Sys/PetscMPIInt.html#PetscMPIInt">PetscMPIInt</A> <A href="../../../../docs/manualpages/Sys/rank.html#rank">rank</A>
<a name="line10"> 10: </a>      PetscFortranAddr file
<a name="line11"> 11: </a>      character*100    joe
<a name="line12"> 12: </a>
<a name="line13"> 13: </a>      call <A href="../../../../docs/manualpages/Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>(PETSC_NULL_CHARACTER,ierr)
<a name="line14"> 14: </a>      call <A href="http://www.mcs.anl.gov/mpi/www/www3/MPI_Comm_rank.html#MPI_Comm_rank">MPI_Comm_rank</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,<A href="../../../../docs/manualpages/Sys/rank.html#rank">rank</A>,ierr)

<a name="line16"> 16: </a>      call <A href="../../../../docs/manualpages/Sys/PetscFOpen.html#PetscFOpen">PetscFOpen</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,'testfile','w',file,ierr)
<a name="line17"> 17: </a>
<a name="line18"> 18: </a>      call <A href="../../../../docs/manualpages/Sys/PetscFPrintf.html#PetscFPrintf">PetscFPrintf</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,file,'Hi once \n',ierr)
<a name="line19"> 19: </a>      call <A href="../../../../docs/manualpages/Sys/PetscSynchronizedFPrintf.html#PetscSynchronizedFPrintf">PetscSynchronizedFPrintf</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,file,'Hi twice \n',     &amp;
<a name="line20"> 20: </a>     &amp;                              ierr)
<a name="line21"> 21: </a>      call <A href="../../../../docs/manualpages/Sys/PetscSynchronizedFlush.html#PetscSynchronizedFlush">PetscSynchronizedFlush</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,ierr)

<a name="line23"> 23: </a>      write (FMT=*,UNIT=joe) 'greetings from ',<A href="../../../../docs/manualpages/Sys/rank.html#rank">rank</A>,'\n'
<a name="line24"> 24: </a>      call <A href="../../../../docs/manualpages/Sys/PetscSynchronizedFPrintf.html#PetscSynchronizedFPrintf">PetscSynchronizedFPrintf</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,file,joe,ierr)
<a name="line25"> 25: </a>      call <A href="../../../../docs/manualpages/Sys/PetscSynchronizedFlush.html#PetscSynchronizedFlush">PetscSynchronizedFlush</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,ierr)

<a name="line27"> 27: </a>      call <A href="../../../../docs/manualpages/Sys/PetscFClose.html#PetscFClose">PetscFClose</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,file,ierr)

<a name="line29"> 29: </a>      call <A href="../../../../docs/manualpages/Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>(ierr)
<a name="line30"> 30: </a>      end
</pre>
</body>

</html>
